package com.bocloud.cmp.entity.enums;

/**
 * worker的操作类型
 *
 * @author 007
 */
public enum Operate {
    /**
     * 普通操作
     */
    NORMAL,
    /**
     * 发现操作
     */
    DISCOVERY,
    /**
     * 重新发现操作
     */
    REDISCOVERY,
    /**
     * 装机操作
     */
    OSINSTALL,
    /**
     * 针对nim的server端进行配置
     */
    SERVER_CONFIG,
    /**
     * 使用hmc将小型机从网络启动
     */
    HMC_NETBOOT,
    /**
     * 系统完成后，清理nim的server
     */
    CLEANUP,
    /**
     * 逻辑分区高可用
     */
    LPAR_HA,
    /**
     * 逻辑分区创建VG
     */
    LPAR_VG_CREATE,
    /**
     * 逻辑分区删除VG
     */
    LPAR_VG_REMOVE,
    /**
     * 逻辑分区创建LV
     */
    LPAR_LV_CREATE,
    /**
     * 逻辑分区删除LV
     */
    LPAR_LV_REMOVE
}
