package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;

@Data
public class AlarmModel {
    private String name;// 告警名称
    private String remark;// 告警描述
    private String level;// 告警等级
    private String alarmVal;// 告警key值
    private String target;// 目标机器
    private String type;// 目标类型
    private Date gmtTrigger;// 触发时间
    private Date gmtConfirm;// 确认时间
    private String confirmer;// 确认者
    private String alarmId;// 告警ID
    private String vdcName;// 数据中心名称
    private Boolean enable;// 是否启用此警报
    private String targetName;// 目标机器
    //azure
    private String status;//告警状态  Acknowledged 已确认   Closed 已关闭   new  新建
    private String metricAlertUuid;//指标警报uuid
    private String signalType;//信号类型
    private String monitorCondition;//监控状态 Fired激发  Resolved已解决

}
