package com.bocloud.cmp.model;

/**
 * 权限业务Bean
 *
 * @author DZG
 * @since V1.0 2016年8月12日
 */
public class AuthBean {
    private Long id;
    private String name;
    private String actionUrl;
    private String icon;
    private Long parentId;
    private Integer priority;

    public AuthBean(Long id, String name, String actionUrl, String icon, Long parentId, Integer priority) {
        super();
        this.id = id;
        this.name = name;
        this.actionUrl = actionUrl;
        this.icon = icon;
        this.parentId = parentId;
        this.priority = priority;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the actionUrl
     */
    public String getActionUrl() {
        return actionUrl;
    }

    /**
     * @param actionUrl the actionUrl to set
     */
    public void setActionUrl(String actionUrl) {
        this.actionUrl = actionUrl;
    }

    /**
     * @return the icon
     */
    public String getIcon() {
        return icon;
    }

    /**
     * @param icon the icon to set
     */
    public void setIcon(String icon) {
        this.icon = icon;
    }

    /**
     * @return the parentId
     */
    public Long getParentId() {
        return parentId;
    }

    /**
     * @param parentId the parentId to set
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * @return the priority
     */
    public Integer getPriority() {
        return priority;
    }

    /**
     * @param priority the priority to set
     */
    public void setPriority(Integer priority) {
        this.priority = priority;
    }
}
