package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * 内容库参数
 * 
 * @ClassName: VmDeleteParam.java
 * @Description:
 *
 * @author: ymh
 * @date: 2021年4月26日 下午8:24:21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ContentLibraryParam implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long hostId;
	
	private Integer month;
	
	private Long tenantId;
	
	private Long projectId;
	
	private Long storeId;
	
	private String name;
	
	private String remark;
	
	private String nicPortGroup;
	
	private String nicPortType;
	
	private Long ovfItemId;
	
	private Long vdcId;
	
	private Long vendorId;

	// 是否设置添加到堡垒机
	private Boolean isAddShterm;
}
