package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * 密钥业务model
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年10月12日
 */
@Data
public class KeypairModel {
	private String fingerprint;// 指纹
	private String name;// 密钥名称
	private String publicKey;// 公钥
	private String privateKey;// 私钥
	private String userUuid;// 用户UUID
	private Date gmtCreate;// 创建时间
	private String remark; // 描述
	private String keyId;
	private Date createTime;
	private String resourceGroupUuid;
	private String regionId;
	private String resourceGroupName;
	private List<TagModel> tagModels;
	private List<String> instanceIds;

	/**
	 *
	 */
	public KeypairModel() {
		super();
	}

	/**
	 * @param fingerprint
	 * @param name
	 * @param publicKey
	 */
	public KeypairModel(String fingerprint, String name, String publicKey) {
		super();
		this.fingerprint = fingerprint;
		this.name = name;
		this.publicKey = publicKey;
	}

}
