package com.bocloud.cmp.model;

import lombok.Data;

import java.util.List;

/**
 * 监听器转发策略
 *
 * @author mjl
 * @时间 2021年1月21日
 */
@Data
public class LbListenerPolicyModel {

	private String regionId;

	private String policyUuid;

	private String name;

	private String action;

	private String provisioningStatus;

	private String tenantUuid;

	private String projectUuid;

	private Boolean adminStateUp;

	private String remark;

	private String listenerUuid;

	private String redirectPoolUuid;

	private String redirectListenerUuid;

	private String redirectUrl;

	private Integer position;

	private String ruleUuids;

	private List<LbListenerRuleModel> rules;
}
