package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: yangzhenrong
 * @Date: 2020/12/15 16:25
 * @Description: 网络ACL
 */
@Data
public class NetworkAclModel {

	private String name;
	private String networkACLUuid;
	private String networkAclName;
	private String vpcUuid;
	private String regionId;
	private String remark;
	private String status;
	private List<Resource> resources;
	private List<aclEntry> aclEntries;

	@Data
	public static class Resource {
		private String resourceId;
		private String resourceType;
		private String status;
	}

	@Data
	public static class aclEntry {
		private String networkAclEntryId;
		private String policy;
		private String protocol;
		private String sourceCidrIp;
		private String destinationCidrIp;
		private String port;
		private String entryType;
		private String description;
		private String networkAclEntryName;
		private String type;
	}
}
