package com.bocloud.cmp.model;

import java.util.Date;

import com.bocloud.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ObjectStorageContainerBean {
	private Long id;
	private String name;
	@JsonSerialize(using = DateSerializer.class)
	private Date createTime;
	private Long itemCount; // 元素数量
	private Long size; // 容器容量
	private Integer isPublic; // 是否公共的 0 私有 1 公共
	private Long vendorId;
	private Object vendorName;

	public ObjectStorageContainerBean(Long id, String name, Date createTime, Long itemCount, Long size,
			Integer isPublic, Long vendorId) {
		this.id = id;
		this.setName(name);
		this.createTime = createTime;
		this.itemCount = itemCount;
		this.size = size;
		this.isPublic = isPublic;
		this.vendorId = vendorId;
	}

}
