package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 机柜业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.03.31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RackBean {
    private Long id; // ID
    private String name; // 名称
    private String specs; // 规格{长，宽，高}
    private String vendor; // 供应商
    private Date productDate; // 生产日期
    private String productSn; // 出厂编号
    private String warranty; // 质保期
    private String type; // 类型{控制台机柜，标准机柜、网络机柜}
    private Integer slotAmount; // 卡槽数量
    private String material; // 机柜材质
    private Long roomId; // 机房ID
    private Integer unit; // U数
    private Integer axisX; // 第几行
    private Integer axisY; // 第几列
    private String remark; // 描述
    private String config;//3d
}
