package com.bocloud.cmp.model;

import com.bocloud.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 机房业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.03.31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoomBean {
    private Long id; // ID
    private String name; // 名称
    private String locationSn; // 位置编号
    private String contactPhone; // 联系电话
    private String contacter; // 联系人
    private String type; // 机房类型
    @JsonSerialize(using = DateSerializer.class)
    private Date commissionDate; // 投产日期
    private String totalArea; // 总面积
    private Integer rowNum;
    private Integer colNum;
    private Long dcId; // 数据中心ID
    private String remark; // 描述
    private String config;// 3D配置
}
