package com.bocloud.cmp.model;

import lombok.Data;

@Data
public class RouteTableAssociationModel {
	/**
	 * 是否主路由表.
	 */
	private Boolean main;
	/**
	 * 路由关联uuid.
	 */
	private String uuid;
	/**
	 * 路由表uuid.
	 */
	private String routeTableUuid;
	/**
	 * 子网uuid.
	 */
	private String subnetUuid;
	/**
	 * 网关uuid.
	 */
	private String gatewayUuid;
	/**
	 * 关联状态uuid.
	 */
	private String associationState;

	public RouteTableAssociationModel() {
		super();
	}

	public RouteTableAssociationModel(Boolean main, String uuid, String routeTableUuid, String subnetUuid,
			String gatewayUuid, String associationState) {
		this.main = main;
		this.uuid = uuid;
		this.routeTableUuid = routeTableUuid;
		this.subnetUuid = subnetUuid;
		this.gatewayUuid = gatewayUuid;
		this.associationState = associationState;
	}
}