package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * @ClassName: ProjectParam.java
 * @Description: 子网参数
 *
 * @author: ymh
 * @date: 2021年4月8日 下午5:22:57
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SubnetParam implements Serializable {

	private static final long serialVersionUID = -4020184404203520369L;

	private Long id;

	private String action;

	private String ipv6Cidr;
}
