package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.Date;
import com.bocloud.common.utils.DaySerializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * vcenter平台任务
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/4/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TaskMsgModel {

    public String key;
    public String task;
    public String description;
    public String name;
    public String descriptionId;
    public String entity;
    public String entityName;
    public String locked;
    public String state;
    public Boolean cancelled;
    public Boolean cancelable;
    public String error;
    public String result;
    public Integer progress;
    public String reason;
    public Date queueTime;
    public Date startTime;
    public Date completeTime;
    public Integer eventChainId;
    public String changeTag;
    public String parentTaskKey;
    public String rootTaskKey;
    public String activationId;
    public Long waitTime;
    
}
