package com.bocloud.cmp.model;

import lombok.Data;

import java.util.List;

/**
 * 天翼云syncmodel
 *
 * @author admin
 */
@Data
public class TianyiSyncModel {
    private List<ServerModel> serverModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<VolumeModel> volumeModels;
    private List<SnapshotModel> snapshotModels;
    private List<SecurityGroupModel> securityGroupModels;
    private List<RegionModel> regionModels;
    private List<VpcModel> vpcModels;
    private List<KeypairModel> keypairModels;
    private List<SubnetModel> subnetModels;
    private List<ServerTemplateModel> serverTemplateModel;
    private List<ResourceGroupModel> resourceGroupModels;
    private List<FloatingIpModel> floatingIpModels;
    private List<NetworkCardModel> networkCardModels;
    private List<ClusterModel> clusterModels;

    public TianyiSyncModel() {
        super();
    }

    /**
     * @param serverModels
     * @param imageModels
     * @param flavorModels
     * @param volumeModels
     * @param snapshotModels
     * @param securityGroupModels
     * @param regionModels
     * @param vpcModels
     */
    public TianyiSyncModel(List<ServerModel> serverModels, List<ImageModel> imageModels,
                           List<FlavorModel> flavorModels, List<VolumeModel> volumeModels, List<SnapshotModel> snapshotModels,
                           List<SecurityGroupModel> securityGroupModels, List<RegionModel> regionModels, List<VpcModel> vpcModels) {
        super();
        this.serverModels = serverModels;
        this.imageModels = imageModels;
        this.flavorModels = flavorModels;
        this.volumeModels = volumeModels;
        this.snapshotModels = snapshotModels;
        this.securityGroupModels = securityGroupModels;
        this.regionModels = regionModels;
        this.vpcModels = vpcModels;
    }
}
