package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * vapp数据模型
 *
 * @author HP
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VAppModel {
    // 名称
    private String name;
    // 旧名称
    private String oldName;
    // 配置
    private String config;
    // 所属类型
    private String targetCategory;
    // 所属value
    private String targetVal;
    // 所属名称
    private String targetName;
    // 父vapp value
    private String parentVal;
    // vapp value
    private String vappVal;
    // 资源池value
    private String poolVal;
    // 概要
    private String summary;
    // vapp配置
    private String vappConfig;
    // 虚拟机id
    private String vmInstanceIds;
    // 标记
    private String tags;
    // 资源池列表
    private List<ResourcePoolModel> pools;
    // 数据中心名称
    private String vdcName;
    // 宿主机名称
    private String hostName;
    // 父vapp名称
    private String parentName;
    // 备注
    private String remark;
}
