package com.bocloud.cmp.model.azure.db;

import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbVirtualNetworkRuleModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 17:03
 */
@Data
public class DbVnetRuleModel {

    private String uuid;
    private String name;
    private String type;
    private Boolean ignoreMissingVnetServiceEndpoint;//在虚拟网络启用 vnet 服务终结点之前创建防火墙规则。
    private String state;//虚拟网络规则状态
    private String subnetUuid;//虚拟网络子网的 ARM 资源 id。
    private String databaseServerUuid;
    //用于创建和删除时使用
    private String databaseServerName;
    private String resourceGroupName;

}