package com.bocloud.cmp.model.azure.ddos;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * ddos防护计划
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/1
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class DdosProtectionPlanModel {

    private String ddosUuid;
    private String name;
    private String regionId;
    private String type;
    private String resourceGroupName;
    private String status;
    private List<String> virtualNetworkUuids;
    private String resourceGuid;
    private String planKey;
    private String tags;
    private String etag;
}
