package com.bocloud.cmp.model.azure.slb;

import lombok.Data;

/**
 * @ClassName: FrontEnd
 * @Description:前端ip配置
 * @author: zhenpingLi/李振平
 */
@Data
public class FrontEndModel {

    private String uuid;
    private String name;
    private String slbUuid;//负载均衡uuid
    private String publicIpUuid;//公共IP Uuid
    private String frontEndType;//INTERNAL(内部),EXTERNAL(外部)
    private String subnetUuid;
    private String subnetName;
    private String vpcUuid;
    private String privateIpAddress;

}