package com.bocloud.cmp.model.azure.slb;

import lombok.Data;

/**
 * @ClassName: InboundNatRule
 * @Description:入站NAT规则
 * @author: zhenpingLi/李振平
 */
@Data
public class InboundNatRuleModel {

    private String uuid;
    private String name;//名称
    private String slbUuid; //负载均衡uuid
    private String frontEndUuid;//前端ip配置Uuid
    private String frontEndName;//前端ip配置名称
    private Integer frontEndPort;//前端端口
    private Integer backEndPort;//后端端口
    private Integer idleTimeoutInMinutes;//空闲超时（分钟）
    private Boolean floatingIPEnabled;//浮动IP（禁用/起用）
    private String protocol;//协议

}