package com.bocloud.cmp.model.azure.slb;

import lombok.Data;

/**
 * @ClassName: LoadBalancingRule
 * @Description:负载均衡规则
 * @author: zhenpingLi/李振平
 */
@Data
public class LoadBalanceRuleModel {

    private String uuid;
    private String name;//名称
    private String slbUuid; //负载均衡uuid
    private String frontEndUuid;//前端ip配置Uuid
    private String frontEndName;//前端ip配置名称
    private String backEndUuid;//后端池Uuid;
    private String backEndName;//后端池名称
    private String probeUuid;//运行状况探测Uuid;
    private String probeName;//运行状况探测名称;
    private Integer frontEndPort;//前端端口
    private Integer backEndPort;//后端端口
    private String loadDistribution;//会话持续性
    private Integer idleTimeoutInMinutes;//空闲超时（分钟）
    private Boolean floatingIpEnabled;//浮动IP（禁用/起用）
    private String protocol;//协议

}