package com.bocloud.cmp.model.contentlibrary;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 内容库模板数据模型
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/2/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ItemModel {

    private String itemUuid;
    private String name;
    private String contentVersion;
    private Boolean cached;
    private Long size;
    private String metadataVersion;
    private String version;
    private String type;
    private String remark;
    private String libraryUuid;
    private Date creationTime;
    private Date lastModifiedTime;
}
