package com.bocloud.cmp.model.f5;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * F5IRules model
 *
 * @author liuyuanyuan
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RuleModel {
    private String name;
    private String apiAnonymous;
    private Map<String, Object> apiRawValues;
    private String ignoreVerification;
    //分区
    private String partition;
    private String fullPath;
    private String subPath;
}
