package com.bocloud.cmp.model.h3c;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.List;
import com.bocloud.cmp.model.ClusterModel;
import com.bocloud.cmp.model.HostModel;
import com.bocloud.cmp.model.VDCModel;
import com.bocloud.cmp.model.h3c.entity.RsDomain;

/**
 * h3c
 * 
 * @author admin
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class H3cSyncModel {

	private List<VDCModel> vdcModels;
	private List<ClusterModel> clusterModels;
	private List<HostModel> hostModels;
	private List<RsDomain> serverModels;
	private List<RsDomain> vmTemplateModels;

}
