package com.bocloud.cmp.model.hmc;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * HMC分区类
 *
 * @author ShaolongTan
 */
@Deprecated
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HmcPartitionModel {
	private Long id; // ID
	private Long serverId;
	private Integer hmcPartitionId;
	private String partitionType;
	private String uuid;
	private Double processor;
	private Double memory;
	private String code;
	private String ip;
	private String osVersion;
	private Boolean ledOn;
	private String processorCompatibilityMode;
	private String keyLockPosition;
	private Boolean errorPathReport;
	private Boolean servicePartition;
	private String currentProfileSync;
	private Boolean connMonitorEnabled; // 连接监视
	private Boolean allowPerformanceCollection; // 允许性能数据收集
	private String rmcState;// rmc连接状态
	private Long tenantId;
	private Integer currentMaxVirtualIOSlots;
	private String pendingProcessorCompatibilityMode;
	private String serverUuid;
	private String schemaVersion;
	private HmcProfileModel hmcLparProfile;
	private String profileName;
	private String serverName;
	private HmcPartitionProcessorModel hmcPartitionProcessor;
	private HmcPartitionMemoryModel hmcPartitionMemory;
	private List<HmcPartitionIoModel> hmcPartitionIos;
	private List<HmcPartitionScsiAdapterModel> hmcPartitionScsiAdapters;
	private Double value;
	private List<HmcVirtualFibreChannelMappingModel> hmcVirtualFibreChannelMappings;
	private List<HmcPartitionNetworkAdapterModel> hmcPartitionNetworkAdapters;
	// 用于cms监控
	private String thresholdGroupName;// 阈值组
	private String policyName;// 分发策略
	private Long ruleRelationId;// 关联关系id
	private Long thresholdGroupId; // 阈值组ID
	private Long policyId; // 分发策略ID
	private Date gmtCreate;
	private Date gmtModify;
	private Long creatorId;
	private Long ownerId;
	private Long menderId;
	private String name;
	private String status;
	private Boolean deleted;
	private String props;
	private String remark;

}
