package com.bocloud.cmp.model.hmc;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * HMC服务器
 *
 * @author sxp
 * @since May 22, 2018
 */
@Deprecated
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HmcServerModel {
	private Long id;
	private String uuid;
	private String referenceCode;
	private String systemFirmware;
	private String activatedLevel;
	private String machineType;
	private String model;
	private String serialNumber;
	private Integer maximumPartitions;
	private String physicalSystemAttentionLedState;
	private String primaryIpAddress;
	private String hostname;
	private String serviceProcessorVersion;
	private String manufacturingDefaultConfigurationEnabled;
	private Long vendorId;
	private String machineTypeAndModel;
	private Double processorUnits;
	private Long systemMemory;
	private Double systemMemoryGB;
	private HmcSystemCapabilityModel hmcSystemCapability;
	private HmcSystemMemoryConfigModel hmcSystemMemoryConfig;
	private HmcSystemProcessorConfigModel hmcSystemProcessorConfig;
	private HmcPartitionModel servicePartition;
	// 用于cms监控
	private String thresholdGroupName;// 阈值组
	private String policyName;// 分发策略
	private Long ruleRelationId;// 关联关系id
	private Long thresholdGroupId; // 阈值组ID
	private Long policyId; // 分发策略ID
	private Date gmtCreate;
	private Date gmtModify;
	private Long creatorId;
	private Long ownerId;
	private Long menderId;
	private String name;
	private String status;
	private Boolean deleted;
	private String props;
	private String remark;

	public void preSave(Long creatorId, Long menderId, Long vendorId) {
		this.setCreatorId(creatorId);
		this.setMenderId(menderId);
		this.setVendorId(vendorId);
	}
}
