package com.bocloud.cmp.model.hmc;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * HMC主机的共享存储池
 */
@Deprecated
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HmcSystemSharedProcessorPoolModel  {
    private Long id;
    private Long serverId;
    private String uuid;
    private int assignedPartitions;
    private Double currentReservedProcessingUnits;
    private Double maximumProcessingUnits;
    private Double pendingReservedProcessingUnits;
    private Integer hmcPoolId;
    private Double availableProcUnits;
    private Date gmtCreate;
    private Date gmtModify;
    private Long creatorId;
    private Long ownerId;
    private Long menderId;
    private String name;
    private String status;
    private Boolean deleted;
    private String props;
    private String remark;

    public void preSave(Long creatorId, Long menderId, Long serverId) {
        this.setCreatorId(creatorId);
        this.setMenderId(menderId);
        this.setServerId(serverId);
    }
}
