package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.HmcSdkConstant;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class LogicalPartitionProfile {
    private Metadata metadata;
    private String affinityGroupID;
    private String assignAllResources;
    private AssociatedPartition associatedPartition;
    private String autoStart;
    private String bootMode;
    private String connectionMonitoringEnabled;
    private String desiredProcessorCompatibilityMode;
    private HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;
    private IOConfigurationInstance ioConfigurationInstance;
    private ProcessorAttributes processorAttributes;
    private ProfileMemory profileMemory;
    private String profileName;
    private String profileType = HmcSdkConstant.PROFILE_TYPE;
    private String redundantErrorPathReportingEnabled;
    private String settingID;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAffinityGroupID() {
        return affinityGroupID;
    }

    public void setAffinityGroupID(String affinityGroupID) {
        this.affinityGroupID = affinityGroupID;
    }

    public String getAssignAllResources() {
        return assignAllResources;
    }

    public void setAssignAllResources(String assignAllResources) {
        this.assignAllResources = assignAllResources;
    }

    public AssociatedPartition getAssociatedPartition() {
        return associatedPartition;
    }

    public void setAssociatedPartition(AssociatedPartition associatedPartition) {
        this.associatedPartition = associatedPartition;
    }

    public String getAutoStart() {
        return autoStart;
    }

    public void setAutoStart(String autoStart) {
        this.autoStart = autoStart;
    }

    public String getBootMode() {
        return bootMode;
    }

    public void setBootMode(String bootMode) {
        this.bootMode = bootMode;
    }

    public String getConnectionMonitoringEnabled() {
        return connectionMonitoringEnabled;
    }

    public void setConnectionMonitoringEnabled(String connectionMonitoringEnabled) {
        this.connectionMonitoringEnabled = connectionMonitoringEnabled;
    }

    public String getDesiredProcessorCompatibilityMode() {
        return desiredProcessorCompatibilityMode;
    }

    public void setDesiredProcessorCompatibilityMode(String desiredProcessorCompatibilityMode) {
        this.desiredProcessorCompatibilityMode = desiredProcessorCompatibilityMode;
    }

    public HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }

    public IOConfigurationInstance getIoConfigurationInstance() {
        return ioConfigurationInstance;
    }

    public void setIoConfigurationInstance(IOConfigurationInstance ioConfigurationInstance) {
        this.ioConfigurationInstance = ioConfigurationInstance;
    }

    public ProcessorAttributes getProcessorAttributes() {
        return processorAttributes;
    }

    public void setProcessorAttributes(ProcessorAttributes processorAttributes) {
        this.processorAttributes = processorAttributes;
    }

    public ProfileMemory getProfileMemory() {
        return profileMemory;
    }

    public void setProfileMemory(ProfileMemory profileMemory) {
        this.profileMemory = profileMemory;
    }

    public String getProfileName() {
        return profileName;
    }

    public void setProfileName(String profileName) {
        this.profileName = profileName;
    }

    public String getProfileType() {
        return profileType;
    }

    public void setProfileType(String profileType) {
        this.profileType = profileType;
    }

    public String getRedundantErrorPathReportingEnabled() {
        return redundantErrorPathReportingEnabled;
    }

    public void setRedundantErrorPathReportingEnabled(String redundantErrorPathReportingEnabled) {
        this.redundantErrorPathReportingEnabled = redundantErrorPathReportingEnabled;
    }

    public String getSettingID() {
        return settingID;
    }

    public void setSettingID(String settingID) {
        this.settingID = settingID;
    }
}
