package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * VMware.Hv.BlackoutTime
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonDesktopBlackoutTime {

	/**
	 * List of days for a given range of time. This property will be one of:
	 * 
	 */
	private List<String> days;
	/**
	 * Starting time for the blackout. This property must be in the form hh:mm in 24
	 * hours format.
	 */
	private String startTime;
	/**
	 * Ending time for the blackout. This property must be in the form hh:mm in 24
	 * hours format.
	 */
	private String endTime;
}
