package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 桌面池数据模型
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonDesktopPoolModel {

	private String userAssignment;
	private String vcenterId;
	private String transparentPageSharingScope;
	private String patternNamingSettings;
	private String source;
	private String type;
	private String storageSettings;
	private String viewStorageAcceleratorSettings;
	private Boolean enabled;
	private Boolean allowRdsPoolMultiSessionPerUser;
	private String imageSource;
	private String uuid;
	private String sessionType;
	private Boolean enableClientRestrictions;
	private String accessGroupId;
	private Boolean automaticUserAssignment;
	private String displayProtocolSettings;
	private String provisioningStatusData;
	private Boolean allowMultipleUserAssignments;
	private String customizationSettings;
	private String displayName;
	private Boolean enableProvisioning;
	private String provisioningSettings;
	private Boolean stopProvisioningOnError;
	private String name;
	private Boolean cloudAssigned;
	private Boolean deleteInProgress;
	private String sessionSettings;
	private Boolean cloudManaged;
	private Boolean displayAssignedMachineName;
}
