package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * VMware.Hv.RDSDesktopSpec
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonDesktopRDSDesktopSpec {

	/**
	 * Farm needed to create RDS Desktop. This Farm must not already be associated
	 * with another RDS desktop. This property cannot be updated.
	 */
	private VmwareHorizonFarmId farm;

	/**
	 * VMware.Hv.FarmId
	 * 
	 * @author HP
	 *
	 */
	@Data
	@NoArgsConstructor
	@AllArgsConstructor
	public class VmwareHorizonFarmId {

		/**
		 * Cookie representing the entity.
		 */
		private String id;
	}

}
