package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * VMware.Hv.VirtualCenterManagedCommonSettings
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonDesktopVirtualCenterManagedCommonSettings {

	/**
	 * The transparent page sharing scope. This property has a default value of
	 * "VM". This property will be one of: "VM" Inter-VM page sharing is not
	 * permitted. "DESKTOP" Inter-VM page sharing among VMs belonging to the same
	 * Desktop is permitted. "POD" Inter-VM page sharing among VMs belonging to the
	 * same Pod is permitted. "GLOBAL" Inter-VM page sharing among all VMs on the
	 * same host is permitted.
	 */
	private String transparentPageSharingScope;
}
