package com.bocloud.cmp.model.horizon;

import java.util.Date;

import com.bocloud.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * horizon会话
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonSessionModel {

	private String accessGroupId;
	private String agentVersion;
	private String applicationNames;
	private String brokerUserId;
	private Boolean brokeredRemotely;
	private String clientData;
	private String desktopPoolId;
	@JsonSerialize(using = DateSerializer.class)
	private Date disconnectedTime;
	private String farmId;
	private String uuid;
	private Long idleDuration;
	private Long lastSessionDurationMs;
	private String machineId;
	private String rdsServerId;
	private Boolean resourcedRemotely;
	private String securityGatewayData;
	private String sessionProtocol;
	private String sessionState;
	private String sessionType;
	@JsonSerialize(using = DateSerializer.class)
	private Date startTime;
	private Boolean unauthenticated;
	private String userId;
}
