package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * vmware horizon数据同步模型
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonSyncModel {

	private List<VmwareHorizonDesktopPoolModel> poolModels;
	private List<VmwareHorizonSessionModel> sessionModels;
	private List<VmwareHorizonVcenterModel> vcenterModels;
	private List<VmwareHorizonUserOrGroupModel> userOrGroupModels;
	private List<VmwareHorizonFarmModel> farmModels;
}
