package com.bocloud.cmp.model.kubernetes;

import java.util.Date;
import java.util.List;
import java.util.Map;

import lombok.Data;

/**
 * 
 * @ClassName: PodModel.java
 * @Description: PodModel
 *
 * @author: ymh
 * @date: 2021年4月29日 下午8:27:50
 */
@Data
public class PodModel {
	private String instanceId;
	private String name;
	private String remark;
	private String status;
	private String namespaceId;
	private String nodeId;
	private String address;
	private String apiVersion;
	private String kind;
	private String labels;
	private Map<String, String> labelsMap;
	private String generateName;
	private String nodeName;
	private String namespace;
	private Date gmtCreate;
	private String dnsPolicy;
	private Boolean hostNetwork;
	private String nodeSelector;
	private String restartPolicy;
	private String securityContext;
	private String imageName;
	private String serviceAccount;
	private String serviceAccountName;
	private Long terminationGracePeriodSeconds;
	private String volumes;
	private String resourceKind;
	private String uid;
	private String containerStatuses;
	private String hostIp;
	private String phase;
	private String podIp;
	private Date startTime;
	private String serviceName;
	private String yamlText;
	private String deploymentName;
	private String deploymentUid;
	private String deploymentApiVersion;
	private String daemonSetName;
	private String replicaName;
	private List<ContainerModel> kubeContainers;
	private String parentResourceUid;
	private String parentResourceType;
	private String parentResourceName;
	private String parentResourceVersion;
	private Date creationTime;

}
