package com.bocloud.cmp.model.pbm;

import java.util.Date;

import com.bocloud.common.utils.DateDeserializer;
import com.bocloud.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * vcenter存储策略
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年6月15日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PbmProfileModel {
    private String profileId;
    private String name;
    private String remark;
    private String createdBy;
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    private Date createTime;
    private String type;
}
