package com.bocloud.cmp.provider.contentlibrary;

import com.bocloud.cmp.model.ServerModel;
import com.bocloud.cmp.model.contentlibrary.ItemModel;
import com.bocloud.cmp.model.contentlibrary.LibraryModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

/**
 * 内容库访问
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/2/26
 */
public interface LibraryProvider extends SuperProvider {

    BocloudResult<List<LibraryModel>> list();

    BocloudResult<List<ItemModel>> listItems(String libraryUuid);

    BocloudResult<ServerModel> ovfDeploy(ServerModel model);
}
