package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.AddressBookModel;

public interface AddressBookProvider extends SuperProvider {

    /**
     * 创建地址簿
     *
     * @param addressBookModel
     * @return
     */
    BocloudResult create(AddressBookModel addressBookModel, boolean isTransaction);

    /**
     * 删除地址簿
     *
     * @param addressBookModel 含id和name。具体如何删除未知
     * @return
     */
    BocloudResult delete(AddressBookModel addressBookModel);
}
