package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.LocalUserGroupModel;

public interface LocalUserGroupProvider extends SuperProvider {

    /**
     * 创建山石防火墙本地用户组
     *
     * @param localUserGroupModel
     * @return
     */
    BocloudResult create(LocalUserGroupModel localUserGroupModel);

    /**
     * 删除山石防火墙本地用户组
     *
     * @param localUserGroupModel
     * @return
     */
    BocloudResult delete(LocalUserGroupModel localUserGroupModel);

    /**
     * 删除山石防火墙本地用户组
     *
     * @param localUserGroupModel
     * @return
     */
    BocloudResult update(LocalUserGroupModel localUserGroupModel);

}
