package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.VpnIpsecProposal1Model;

public interface VpnIpsecProposal1Provider extends SuperProvider {

    /**
     * 创建Vpn-Ipsec提议1
     *
     * @param vpnIpsecProposal1Model Vpn-Ipsec提议1
     * @return
     */
    BocloudResult create(VpnIpsecProposal1Model vpnIpsecProposal1Model);

    BocloudResult update(VpnIpsecProposal1Model vpnIpsecProposal1Model);

    BocloudResult delete(VpnIpsecProposal1Model vpnIpsecProposal1Model);

}
