package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * HMC通用Provider
 *
 * @author sxp
 * @since Nov 20, 2018
 */
public interface CommonProvider extends SuperProvider {
    /**
     * 获取任务执行状态
     *
     * @author sxp
     * @since Nov 20, 2018
     */
    BocloudResult getJobStatus(String jobId);

    /**
     * 获取任务执行状态-带超时时间
     *
     * @author sxp
     * @since Nov 20, 2018
     */
    BocloudResult getJobStatus(String jobId, long timeout);
}
