package com.bocloud.cmp.vm.model;

import com.bocloud.cmp.model.NetworkBean;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 挂载网卡参数
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AttachNetworkParam implements Serializable {

    private static final long serialVersionUID = -4658379713247573136L;

    // 虚拟机ID
    private Long id;
    //策略ID
    private Long policyId;
    // 挂载网卡
    private List<NetworkBean> networks;
}
