package com.bocloud.cmp.vm.model;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DiskOperationParam implements Serializable {

    private static final long serialVersionUID = -5911329046223955467L;
    //虚拟机id
    private Long serverId;
    //虚拟机操作
    private String action;
    //新加磁盘
    private List<JSONObject> addDataDisks;
    //编辑磁盘
    private List<JSONObject> editDataDisks;
    //磁盘名称
    private List<String> diskNames;
}
