package com.bocloud.cmp.vm.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: VmBatchOperationParam.java
 * @Description: 虚机批量操作
 *
 * @author: ymh
 * @date: 2021年4月1日 下午2:49:45
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmBatchOperationParam implements Serializable {

	private static final long serialVersionUID = 1L;

	// 资源ids
	private List<Long> ids;
	private List<Long> serverIds;
	
	private List<String> resourceUuids;
	// 云平台ID
	private Long vendorId;
	// 操作
	private String action;

	private String endPassword;

	private String instanceId;

	private Long id;
	
	private Long ipPoolId;

	private String keypairId;

	private String password;

	private String regionId;

	private Long serverId;
}
