package com.bocloud.cmp.vm.model;

import com.bocloud.cmp.model.NetcardOperation;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 虚拟机克隆参数
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class VmCloneParam implements Serializable {

    private static final long serialVersionUID = 1870957706706006022L;

    //虚拟机ID
    private Long id;
    //克隆数量
    private Integer count;
    // 名称
    private String name;
    // 宿主机
    private Long hostId;
    //网卡
    private List<NetcardOperation> operations;

}
