package com.bocloud.cmp.vm.model;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * 虚机编辑
 * 
 * @ClassName: VmModifyParam.java
 * @Description:
 *
 * @author: ymh
 * @date: 2021年4月7日 下午4:31:23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmModifyParam implements Serializable {

	private static final long serialVersionUID = 6226221440379210078L;

	private Long id;

	private Long flavorId;

	private Long imageId;

	private String keypairId;
	// 密码
	private String checkPass;
	private String password;
	private String newPasswd;
	private String oldPasswd;
	private String regionId;
	// image uuid
	private String imageUuid;

	private Long vendorId;

	private String account;

	private String options;

	private String action;
	// vmtools配置
	private JSONObject toolsConfig;

	private boolean forceStop;

	private String instanceId;

	private String zone;

	private String flavorUuid;

	private String instanceChargeType;
	
	private Boolean cpuHotEnable;
	private Boolean memHotEnable;
	private Long serverId;

}
