package com.bocloud.nms.model.agile;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class AgileDevicePortBean {

	private Long id; //
	private String uuid; // 端口id
	private Long deviceId; // 端口所属的设备id
	private String deviceUuid;
	private String deviceGroupUuid;
	private String deviceName;
	private String deviceGroupName;
	private Long deviceGroupId;
	private String deviceMode;
	private String deviceType;
	private String cabinetName;
	private String dcName;
	private String usedStatus; // 使用状态，locked，used
	private Long vendorId;
	private String cabinetGroupName;
	private String information;
	private List<AgileDevicePortBean> trunkBindPorts;
	private String ethTrunkName;
	private Date lockedTime;
	private Date gmtCreate;
	private Date gmtModify;
	private Long creatorId;
	private Long ownerId;
	private Long menderId;
	private String name;
	private String status;
	private Boolean deleted;
	private String props;
	private String remark;

}
