package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx edge集群
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月28日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxEdgeClusterModel {
    private String clusterId;
    private String name;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String remark;
    private String resourceType;
    private String tags;
    private String allocationRules;
    private String clusterProfileBindings;
    private String deploymentType;
    private String memberNodeType;
    private String members;
    private String transportNodes;
}
