package com.bocloud.nms.model.nsx;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx防火墙规则
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月28日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxFirewallRuleModel {
    private String name;
    private String ruleId;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private String owner;
    private String remark;
    private String resourceType;
    private String action;
    private String appliedTos;
    private String destinations;
    private Boolean destinationsExcluded;
    private String direction;
    private Boolean disabled;
    private String ipProtocol;
    private Boolean isDefault;
    private Boolean logged;
    private String notes;
    private Long priority;
    private String ruleTag;
    private String sources;
    private Boolean sourcesExcluded;
    private String contextProfiles;
    private String extendedSources;
    private String sectionId;
    private String services;
}
