package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx 负载均衡器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月26日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxLbServiceModel {
    private String lbServiceId;
    private String name;
    private String remark;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private Boolean accessLogEnabled;
    private String attachment;
    private Boolean enabled;
    private String errorLogLevel;
    private String size;
    private String virtualServerIds;
}
