package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx组
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月26日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxNSGroupModel {
    private String groupId;
    private String remark;
    private String name;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private Long memberCount;
    private String members;
    private String membershipCriteria;
}
