package com.bocloud.nms.model.nsx;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * nsx nat转换
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月17日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxNatRuleModel {

    private String natId;
    private String name;
    private String remark;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private String action;
    private String appliedTos;
    private Boolean enabled;
    private String firewallMatch;
    private String internalRuleId;
    private Boolean logging;
    private String logicalRouterId;
    private String tier0Id;
    private String tier1Id;
    private String matchDestinationNetwork;
    private String matchService;
    private String matchSourceNetwork;
    private Boolean natPass;
    private Long rulePriority;
    private String translatedNetwork;
    private String translatedPorts;
    private String uniqueId;
    private String parentPath;
    private String path;
    private String relativePath;
    private Boolean overridden;
    private String destinationNetwork;
    private String scope;
    private Long sequenceNumber;
    private String service;
    private String sourceNetwork;
}
