package com.bocloud.nms.model.nsx;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 分段
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月20日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxSegmentModel {
    private String segmentId;
    private String name;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String remark;
    private String resourceType;
    private String tags;
    private String parentPath;
    private String path;
    private String relativePath;
    private String children;
    private Boolean markedForDelete;
    private String advancedConfig;
    private String connectivityPath;
    private String domainName;
    private String l2Extension;
    private String lsId;
    private Long overlayId;
    private List<NsxSegmentSubnetModel> subnets;
    private String transportZonePath;
    private String type;
    private String vlanIds;
    private String dhcpConfigPath;
}
