package com.bocloud.nms.model.nsx;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * tier1逻辑路由器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月20日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxTierOneModel {
    private String tier1Id;
    private String name;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String remark;
    private String resourceType;
    private String tags;
    private String parentPath;
    private String path;
    private String relativePath;
    private String children;
    private Boolean markedForDelete;
    private Boolean defaultRuleLogging;
    private List<String> dhcpConfigPaths;
    private Boolean disableFirewall;
    private Boolean enableStandbyRelocation;
    private String failoverMode;
    private Boolean forceWhitelisting;
    private String ipv6ProfilePaths;
    private String routeAdvertisementRules;
    private String routeAdvertisementTypes;
    private String tier0Path;
    private String type;
    private String edgeClusterPath;
}
