package com.bocloud.cmp.entity.enums;

/**
 * 启动选项
 *
 * @author 007
 */
public enum BootOption {
    /**
     * Request network boot
     */
    NETWORK,
    /**
     * Boot from hard drive
     */
    HD,
    /**
     * Boot from hard drive, requesting 'safe mode'
     */
    SAFE,
    /**
     * boot from CD/DVD/BD drive
     */
    OPTIONAL,
    /**
     * Boot into setup utility
     */
    SETUP,
    /**
     * remove any IPMI directed boot device request
     */
    DEFAULT;
}
