package com.bocloud.cmp.entity.enums;

/**
 * f5 负载均衡保留数据
 *
 * @author liuyuanyuan
 */
public class F5RetainedData {
    public static class Profile {
        public static final String HTTP = "http";
        public static final String HTTP_EXPLICIT = "http-explicit";
        public static final String HTTP_TRANSPARENT = "http-transparent";
        public static final String TCP = "tcp";
        public static final String APM_FORWARDING_CLIENT_TCP = "apm-forwarding-client-tcp";
        public static final String APM_FORWARDING_SERVER_TCP = "apm-forwarding-server-tcp";
        public static final String F5_TCP_LAN = "f5-tcp-lan";
        public static final String F5_TCP_MOBILE = "f5-tcp-mobile";
        public static final String F5_TCP_PROGRESSIVE = "f5-tcp-progressive";
        public static final String F5_TCP_WAN = "f5-tcp-wan";
        public static final String MPTCP_MOBILE_OPTIMIZED = "mptcp-mobile-optimized";
        public static final String SPLITSESSION_DEFAULT_TCP = "splitsession-default-tcp";
        public static final String TCP_LAN_OPTIMIZED = "tcp-lan-optimized";
        public static final String UDP = "udp";
        public static final String UDP_DECREMENT_TTL = "udp_decrement_ttl";
        public static final String UDP_GTM_DNS = "udp_gtm_dns";
        public static final String UDP_PRESERVE_TTL = "udp_preserve_ttl";
        public static final String SCTP = "sctp";
        public static final String COOKIE = "cookie";
        public static final String DEST_ADDR = "dest_addr";
        public static final String HASH = "hash";
        public static final String HOST = "host";
        public static final String MSRDP = "msrdp";
        public static final String SIP_INFO = "sip_info";
        public static final String SOURCE_ADDR = "source_addr";
        public static final String SSL = "ssl";
        public static final String UNIVERSAL = "universal";
    }

    public static class Monitor {
        public static final String HTTP = "http";
        public static final String HTTP_HEAD_F5 = "http_head_f5";
        public static final String HTTPS = "https";
        public static final String HTTPS_443 = "https_443";
        public static final String HTTPS_HEAD_F5 = "https_head_f5";
        public static final String ICMP = "icmp";
        public static final String INBAND = "inband";
        public static final String REAL_SERVER = "real_server";
        public static final String UDP = "udp";
        public static final String TCP_ECHO = "tcp_echo";
        public static final String TCP_HALF_OPEN = "tcp_half_open";
        public static final String TCP = "tcp";
        public static final String SNMP_DCA = "snmp_dca";
        public static final String GATEWAY_ICMP = "gateway_icmp";
    }

    public static class Rule {
        public static final String _SYS_APM_EXCHANGE_SUPPORT_OA_BASIC_AUTH = "_sys_APM_ExchangeSupport_OA_BasicAuth";
        public static final String _SYS_APM_EXCHANGE_SUPPORT_OA_NTLM_AUTH = "_sys_APM_ExchangeSupport_OA_NtlmAuth";
        public static final String _SYS_APM_EXCHANGE_SUPPORT_HELPER = "_sys_APM_ExchangeSupport_helper";
        public static final String _SYS_APM_EXCHANGE_SUPPORT_MAIN = "_sys_APM_ExchangeSupport_main";
        public static final String _SYS_APM_OFFICE365_SAML_BASIC_AUTH = "_sys_APM_Office365_SAML_BasicAuth";
        public static final String _SYS_APM_ACTIVE_SYNC = "_sys_APM_activesync";
        public static final String _SYS_AUTH_KRBDELEGATE = "_sys_auth_krbdelegate";
        public static final String _SYS_AUTH_LDAP = "_sys_auth_ldap";
        public static final String _SYS_AUTH_RADIUS = "_sys_auth_radius";
        public static final String _SYS_AUTH_SSL_CC_LDAP = "_sys_auth_ssl_cc_ldap";
        public static final String _SYS_AUTH_SSL_CRLDP = "_sys_auth_ssl_crldp";
        public static final String _SYS_AUTH_SSL_OCSP = "_sys_auth_ssl_ocsp";
        public static final String _SYS_AUTH_TACACS = "_sys_auth_tacacs";
        public static final String _SYS_THHPS_REDIRECT = "_sys_https_redirect";
        public static final String _SYS_APM_MS_OFFICE_OFBA_SUPPORT = "_sys_APM_MS_Office_OFBA_Support";
    }
}
