package com.bocloud.cmp.entity.enums;

/**
 * CMDB模型编码
 *
 * @author weiwei
 */
public enum ModuleCode {
    /**
     * 云平台
     */
    VENDOR,
    /**
     * 虚拟数据中心
     */
    VDC,
    /**
     * 集群
     */
    CLUSTER,
    /**
     * 物理机
     */
    PM,
    /**
     * 虚拟机
     */
    VM,
    /**
     * 数据存储
     */
    DATASTORE,
    /**
     * 网络
     */
    NETWORK,
    /**
     * 子网
     */
    SUBNET,
    /**
     * 路由
     */
    ROUTER,
    /**
     * 地域
     */
    REGION,
    /**
     * 端口
     */
    PORT,
    /**
     * 交换机
     */
    SWITCH,
    /**
     * 端口组
     */
    PORT_GROUP,
    //vc模型code
    VC_VENDOR,
    VC_DC,
    VC_PM,
    VC_VM,
    VC_CLUSTER,
    VC_NETWORK,
    VC_SWITCH,
    VC_PORT_GROUP,
    VC_DS,
    //os模型code
    OS_VENDOR,
    OS_HOST_GROUP,
    OS_PM,
    OS_VM,
    OS_CLOUD_ROUTING,
    OS_VLAN,
    OS_SUBNET,
    OS_PORT,
    //sdn agile模型code
    AGILE_VENDOR,
    AGILE_FABRIC,
    AGILE_DEVICE_SWITCH,
    AGILE_DEVICE_FW,
    AGILE_VPC,
    AGILE_LOGIC_ROUTER,
    AGILE_LOGIC_SWITCH,
    AGILE_LOGIC_PORT,
    AGILE_END_PORT,
    AGILE_L4L7_RESOURCEPOOL,
    // 政务云
    ROOM,
    RACK,
    PROJECT,
    // 华三云
    H3C_CLUSTER,
    H3C_PM
}
