package com.bocloud.cmp.entity.enums;

/**
 * @ClassName TagType
 * @Description
 * @Date 2020/12/24 15:09
 * @Version V1.0
 **/
public enum TagType {
	/***
	 * 必须大写
	 */
	VPC, // 专有网络实例
	VSWITCH, // 交换机实例
	ROUTETABLE, // 路由表实例
	EIP, // 弹性公网IP实例
	NATGATEWAY, // NAT网关实例

	/***
	 * 必须小写
	 */
	instance, // ECS实例
	disk, // 磁盘
	snapshot, // 快照
	image, // 镜像
	securitygroup, // 安全组
	volume, // 存储卷
	eni, // 弹性网卡
	keypair, // SSH密钥对

	SLB// 负载均衡

}
