package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 华为云备份
 *
 * @author admin
 */
@Data
public class BackupModel {
    private String backupUuid;
    private String name;
    private String status;
    private String vaultsUuid;
    private String resourceUuid;
    private String resourceName;
    private String resourceAz;
    private String snapshotUuid;
    private Boolean bootable;
    private String imageType;
    private String checkpointUuid;
    private String resourceType;
    private String remark;
    private Date createTime;
    private Date updateTime;
    private String parentResourceUuid;
    private String extendInfo;
    private Integer resourceSize;
    private String projectUuid;
    private String volumeUuid;
    private String instanceUuid;
    private String children; // sub backup
    private SnapshotModel snapshotModel;
    private List<VolumeModel> volumeModels;
}
