package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 批量删除参数
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/18
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DeleteParam implements Serializable {

    //云平台ID
    private Long vendorId;
    //要删除的id
    private List<Long> ids;
}
