package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class RouteTableModel {
    /**
     * 名称.
     */
    private String name;
    /**
     * 关联集合.
     */
    private List<RouteTableAssociationModel> associations;

    private List<String> propagatingVgws;
    /**
     * 路由集合.
     */
    private List<RouteModel> routeModels;
    /**
     * 路由表uuid.
     */
    private String uuid;
    /**
     * VPC uuid.
     */
    private String vpcUuid;
    /**
     * 拥有者uuid.
     */
    private String ownerUuid;

    private String type;
    private String remark;
    private String resourceGroupUuid;// 资源组
    private String status;
    private String routerId;// 路由器ID
    private List<String> subnetlds;// 交换机
    private List<TagModel> tagModels;
    private Date gmtCreate;
    private List<String> subnetUuids;
    private List<RouteTableRuleModel> ruleModels;
    private String regionId;

    public RouteTableModel() {
        super();
    }

    public RouteTableModel(String name, String vpcUuid) {
        this.name = name;
        this.vpcUuid = vpcUuid;
    }
}
