package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.List;

/**
 * 安全组操作model
 * 
 * @ClassName: SecurityGroupOperationParam.java
 * @Description:
 *
 * @author: ymh
 * @date: 2021年4月1日 下午4:52:06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SecurityGroupOperationParam implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;
	// cidr
	private Long groupId;

	private List<Long> groups;

	private Long vendorId;
	// 操作类
	private String action;

}
