package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * @ClassName: VmGenericParam.java
 * @Description: VPC操作参数接收类
 *
 * @author: ymh
 * @date: 2021年4月1日 下午3:45:00
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VpcOperationParam implements Serializable {

	private Long id;
	// cidr
	private String cidr;
	// 操作类
	private String action;

}
