package com.bocloud.cmp.model.azure;

import com.bocloud.cmp.model.azure.network.NicIpConfigurationModel;
import lombok.Data;

/**
 * @ClassName: PublicIPAddressModel
 * @Description:
 * @author: zhenpingLi/李振平
 */
@Data
public class PublicIPAddressModel {

    private String uuid;
    private String name;
    private String regionId;
    private String resourceGroupName;
    private String resourceGroupUuid;
    private Integer IdleTimeoutInMinutes;
    private String sku;
    private String version;//ipv4/ipv6
    private String ipAllocationMethod;//动态/静态
    private String ipAddress;
    private String status;
    private String fqdn;

    //业务字段，用于虚拟机创建失败后，删除关联网卡等
    private NicIpConfigurationModel nicIpConfigurationModel;

}