package com.bocloud.cmp.model.azure.slb;

import lombok.Data;

import java.util.List;

/**
 * @ClassName: BackEndModel
 * @Description:后端池
 * @author: zhenpingLi/李振平
 */
@Data
public class BackEndModel {

    private String uuid;
    private String name;
    private String slbUuid;//负载均衡uuid
    private List<String> virtualMachineUuids;//后端池对应虚拟机绑定关系 1对多，建关系表 或者在虚拟机表中添加外键
    private List<String> oldVmUuids;//目前sdk版本不支持修改，做先删除后创建

}