package com.bocloud.cmp.model.azure.slb;

import lombok.Data;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: OutboundRuleModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/5/15 14:57
 */
@Data
public class OutboundRuleModel {

    private String uuid;
    private String name;//名称
    private String slbUuid; //负载均衡uuid
    private Integer allocatedOutboundPorts;
    private String backEndUuid;
    private Boolean enableTcpReset;
    private List<String> frontEndUuids;
    private Integer idleTimeoutInMinutes;
    private String protocol;
    private String etag;
    private String type;

    //用于创建和删除时使用
    private String slbName;
    private String resourceGroupName;


}