package com.bocloud.cmp.model.azure.slb;

import lombok.Data;

/**
 * @ClassName: ProbeModel
 * @Description:运行状况探测
 * @author: zhenpingLi/李振平
 */
@Data
public class ProbeModel {

    private String uuid;
    private String name;
    private String slbUuid;//负载均衡uuid
    private String protocol;//协议
    private Integer port;//端口
    private Integer intervalInSeconds;//间隔
    private Integer numberOfProbes;//不正常阈值
    private String requestPath;//路径

}