package com.bocloud.cmp.model.contentlibrary;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 内容库数据模型
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/2/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LibraryModel {

    private String libraryUuid;
    private String name;
    private String version;
    private String storageBackings;
    private String type;
    private String remark;
    private String serverGuid;
    private String publishInfo;
    private Date creationTime;
    private Date lastModifiedTime;
    private List<ItemModel> items;
}
