package com.bocloud.cmp.model.database;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 数据库规格
 *
 * @author lyy
 * @version 1.0
 * @date 2021/5/13 15:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DbFlavorModel {
    private String regionId;
    private String zoneId;
    private String status;
    private String engine;
    private String version;
    private String category;
    private String storageType;
    private String dBInstanceClass;
    private JSONObject dBInstanceStorageRange;
    private String chargeType;

}
