package com.bocloud.cmp.model.database;

import com.alibaba.fastjson.JSONArray;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lyy
 * @version 1.0
 * @date 2021/5/14 18:24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DbInstanceParameterGroupModel {
    private String name;
    private String engine;
    private String engineVersion;
    private String createTime;
    private String updateTime;
    private JSONArray paramDetail;
    private String parameters;
    private Integer parameterGroupType;//参数模板类型
    private Integer paramCounts;//参数模板内的参数数量。
    private String parameterGroupId;
    private Integer forceRestart;//应用该参数模板是否需要重启实例
    private String parameterGroupDesc;//参数模板描述。
}
