package com.bocloud.cmp.model.f5;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * F5数据同步model
 *
 * @author liuyuanyuan
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class F5SyncModel {
    private List<VirtualServerModel> virtualServerModels;
    private List<MonitorModel> monitorModels;
    private List<NodeModel> nodeModels;
    private List<PoolModel> poolModels;
    private List<PoolMemberModel> poolMemberModels;
    private List<ProfileModel> profileModels;
    private List<RuleModel> ruleModels;
    private List<DnsResolversModel> dnsResolversModels;
    private List<SnantPoolModel> snantPoolModels;
    private List<VlanModel> vlanModels;
    private List<TunnelModel> tunnelModels;
    private List<PartitionModel> partitionModels;
    private List<DataGroupModel> dataGroupModels;
}
