package com.bocloud.cmp.model.f5;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * Pool
 *
 * @author liuyuanyuan
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PoolModel {
    private String name;
    // 备注
    private String description;
    // 健康检查策略
    private String monitor;
    // 负载算法
    private String loadBalancingMode;
    // poolMember
    private List<PoolMemberModel> members;
    // poolMember
    private String poolMember;
    // pool状态
    private String status;
    private Long minActiveMembers;
    private List<PoolMemberModel> poolMemberModels;
    //分区
    private String partition;
    private String fullPath;
    private String subPath;
}
