package com.bocloud.cmp.model.hmc;

import java.util.Date;
import java.util.Map;
import java.util.Set;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * HMC虚拟交换机
 *
 * @author ShaolongTan
 */
@Deprecated
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HmcVirtualSwitchModel {
	private Long id; // ID
	private String uuid;
	private Long serverId;
	private Integer switchId;
	private String createUserName;
	private Map<String, Set<Integer>> partition;
	private Set<Integer> vlans;
	private String serverName;
	private Date gmtCreate;
	private Date gmtModify;
	private Long creatorId;
	private Long ownerId;
	private Long menderId;
	private String name;
	private String status;
	private Boolean deleted;
	private String props;
	private String remark;

	public void preSave(Long creatorId, Long menderId, Long serverId) {
		this.setCreatorId(creatorId);
		this.setMenderId(menderId);
		this.setServerId(serverId);
	}
}
