package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * VMware.Hv.AdobeFlashSettings
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonDesktopAdobeFlashSettings {

	/**
	 * This setting determines the image quality that the flash movie will render.
	 * Lower quality results in less bandwidth usage. This property has a default
	 * value of "NO_CONTROL". This property will be one of: "NO_CONTROL" Do not
	 * control. "LOW" Low. "MEDIUM" Medium. "HIGH" High.
	 */
	private String quality;
	/**
	 * This setting affects the frame rate of the flash movie. If enabled, the
	 * frames per second will be reduced based on the aggressiveness level. More
	 * aggressive throttling results in less bandwidth usage. This property has a
	 * default value of "DISABLED". This property will be one of: "DISABLED"
	 * Disabled. "CONSERVATIVE" Conservative. "MODERATE" Moderate. "AGGRESSIVE"
	 * Aggressive.
	 */
	private String throttling;
}
