package com.bocloud.cmp.model.horizon;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * VMware.Hv.GlobalEntitlementData
 * 
 * @author HP
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmwareHorizonDesktopGlobalEntitlementData {

	/**
	 * Global entitlement for this desktop. This member will be null if not set or
	 * caller does not have global read permissions. This property need not be set.
	 */
	private VmwareHorizonGlobalEntitlementId globalEntitlement;

	/**
	 * VMware.Hv.GlobalEntitlementId
	 * 
	 * @author HP
	 *
	 */
	@Data
	@NoArgsConstructor
	@AllArgsConstructor
	public class VmwareHorizonGlobalEntitlementId {
		/**
		 * Cookie representing the entity.
		 */
		private String id;
	}
}
