package com.bocloud.cmp.model.manageone;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * vdc project数据模型
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年6月17日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VdcProjectModel {
    private String projectId;
    private String name;
    private String displayName;
    private String remark;
    private String domainId;
    private String groupId;
    private Boolean enabled;
    private String vdcTenantId;
    private String vrmProjectId;
    private Boolean shared;
    private String vdcTenantName;
    private String createUserId;
    private String createUserName;
    private List<VdcRegionModel> regions;
    private String contractNumber;
    private String attachmentId;
    private Boolean isBindExternalNetwork;
}
