package com.bocloud.cmp.model.storage;

import com.bocloud.cmp.model.HostModel;
import lombok.Data;

/**
 * CEPH MANAGER DAEMON
 * The Ceph Manager daemon (ceph-mgr) runs alongside monitor daemons,
 * to provide additional monitoring and interfaces to external monitoring and management systems.
 */
@Data
public class CephMgrModel {
    private String uuid;
    private Long epoch; // ？？？？？？
    private String status; // 状态
    private HostModel node; // 节点所在服务器
}
