package com.bocloud.cmp.model.storage;

import com.bocloud.cmp.model.HostModel;
import lombok.Data;

import java.util.List;

/**
 * CEPH MONITOR
 * The Ceph monitor software.
 */
@Data
public class CephMonModel {
    @Data
    public static class Node {
        private String uuid;
        private HostModel node;
    }

    private String uuid;
    private Long epoch; // ？？？？？？
    private List<Node> nodes; // 节点所在服务器
}
