package com.bocloud.cmp.provider;

import com.bocloud.cmp.model.Butler;

/**
 * @ Description：云平台供应商抽象类，所有具体的云平台必须重写其默认的含参构造方法
 * @ Author     ：丁明威
 * @ Date       ：Created in 11:45 2018/11/13
 * @ Modified By：
 */
public abstract class GenericProvider {
    /**
     * 构造方法，所有的云平台驱动都必须要实现或重写该构造方法
     *
     * @param butler 云平台认证信息
     */
    public GenericProvider(Butler butler) {
    }
}