package com.bocloud.cmp.provider.f5;

import com.bocloud.cmp.model.f5.MonitorModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * f5 Monitor操作服务接口
 *
 * @author liuyuanyuan
 */
public interface MonitorProvider extends SuperProvider {
    /**
     * monitor列表
     *
     * @param type
     * @return
     */
    public BocloudResult list(String type);

    /**
     * 创建monitor
     *
     * @param type
     * @param monitorModel
     * @param
     */
    public BocloudResult create(MonitorModel monitorModel, String type);

    /**
     * 更新monitor
     *
     * @param type
     * @param monitorModel
     * @return
     */
    public BocloudResult update(MonitorModel monitorModel, String type);

    /**
     * 删除monitor
     *
     * @param type
     * @param name
     * @return
     */
    public BocloudResult remove(String name, String type);
}
