package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.LocalUserModel;

public interface LocalUserProvider extends SuperProvider {

    /**
     * 创建山石防火墙本地用户
     *
     * @param localUserModel
     * @return
     */
    BocloudResult create(LocalUserModel localUserModel);

    /**
     * 删除山石防火墙本地用户
     *
     * @param id 山石防火墙本地用户id
     * @return
     */
    BocloudResult delete(Long id);

    /**
     * 删除山石防火墙本地用户
     *
     * @param localUserModel
     * @return
     */
    BocloudResult update(LocalUserModel localUserModel);

}
