package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.ServiceBookModel;

public interface ServiceBookProvider extends SuperProvider {

    /**
     * 创建服务本
     *
     * @param serviceBookModel 服务本
     * @return
     */
    BocloudResult create(ServiceBookModel serviceBookModel);

    /**
     * 删除服务组
     *
     * @param serviceBookModel 服务本
     * @return
     */
    BocloudResult remove(ServiceBookModel serviceBookModel);

    /**
     * 删除服务本
     *
     * @param serviceBookModel 服务本
     * @return
     */
    BocloudResult modify(ServiceBookModel serviceBookModel);

}
