package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.ServiceGroupModel;

public interface ServiceGroupProvider extends SuperProvider {

    /**
     * 创建服务组
     *
     * @param serviceGroupModel 服务组
     * @return
     */
    BocloudResult create(ServiceGroupModel serviceGroupModel);

    /**
     * 删除服务组
     *
     * @param serviceGroupModel 服务组
     * @return
     */
    BocloudResult remove(ServiceGroupModel serviceGroupModel);
}
