package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.HmcVirtualFibreChannelMappingModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 虚拟光纤通道  vfc
 *
 * @author luyanchao
 * @since 2018/12/18 16:49
 */
public interface VirtualFibreChannelMappingProvider extends SuperProvider {
    public BocloudResult addVfcToVios(String managedSystemUuid, String viosUuid, HmcVirtualFibreChannelMappingModel mapping);

    public BocloudResult removeVfcFromVios(String managedSystemUuid, String viosUuid, HmcVirtualFibreChannelMappingModel mapping);

    public BocloudResult getVfcFromPartition(String partitionUuid);
}
