package com.bocloud.cmp.provider.nsx;

import java.util.List;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxFirewallRuleModel;

/**
 * nsx防火墙规则
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月27日
 */
public interface FirewallRuleProvider extends SuperProvider {
    BocloudResult list(String firewallId);

    BocloudResult update(List<NsxFirewallRuleModel> ruleModels, String firewallId);
}
