package com.bocloud.cmp.vm.model;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/4/8
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BatchModifyLabelParam implements Serializable {

    private static final long serialVersionUID = 6396119055182744662L;
    private List<Long> serverIds;
    private List<JSONObject> resourceLabels;
}
