package com.bocloud.cmp.vm.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 批量创建快照参数
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BatchSnapshotParam implements Serializable {

    private static final long serialVersionUID = -5335157048774583435L;

    //虚拟机ID
    private List<Long> serverIds;
    //云平台ID
    private Long vendorId;
}
