package com.bocloud.cmp.vm.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 虚拟机删除参数
 * 
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmDeleteParam implements Serializable {

	private static final long serialVersionUID = 6226221440379210078L;

	private Long id;

	private Boolean deletePublicIp;

	private Boolean deleteVolume;
	// 云硬盘ID
	private List<Long> volumeIds;
}
