package com.bocloud.cmp.vm.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 虚拟机快照创建参数
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VmSnapshotParam implements Serializable {

    private static final long serialVersionUID = 1022042087876286064L;
    //虚拟机ID
    private Long serverId;
    //快照名称
    private String name;
    //快照描述
    private String remark;
    //定时快照cron表达式
    private String cron;
    //操作
    private String operate;
}
