package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx计算管理器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月30日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxComputeManagerModel {
    private String managerId;
    private String name;
    private String remark;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private String credential;
    private String originProperties;
    private String originType;
    private String server;
}
