package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxDhcpConfigModel {
    private String links;
    private String schema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String remark;
    private String name;
    private String dhcpConfigId;
    private String path;
    private Boolean markedForDelete;
    private Boolean overridden;
    private String edgeClusterPath;
    private String preferredEdgePaths; // edge节点
    private String serverAddress; // 已弃用
    private String serverAddresses; // Both IPv4 and IPv6 address
    private String resourceType;
    private String tags;
    private Long leaseTime;// 租约时间
    private String type; // 区分dhcp配置文件服务器还是中继，server;relay

}
