package com.bocloud.nms.model.nsx;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx防火墙
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月27日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxFirewallSectionModel {
    private String firewallId;
    private String name;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String remark;
    private String resourceType;
    private String tags;
    private String appliedTos;
    private Boolean isDefault;
    private Long ruleCount;
    private String sectionType;
    private Boolean teful;
    private Boolean autoplumbed;
    private String comments;
    private String enforcedOn;
    private String lockModifiedBy;
    private Date lockModifiedTime;
    private Boolean locked;
    private Long priority;
    private Boolean tcpStrict;
    private Boolean stateful;
    private String createBefore;
    private List<NsxFirewallRuleModel> ruleModels;
}
