package com.bocloud.nms.model.nsx;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx逻辑交换机
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月24日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxLogicalSwitchModel {
    private String switchId;
    private String remark;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String name;
    private String resourceType;
    private String tags;
    private String addressBindings;
    private String adminState;
    private String extraConfigs;
    private Boolean hybrid;
    private String ipPoolId;
    private String macPoolId;
    private String replicationMode;
    private String switchType;
    private String switchingProfileIds;
    private String transportZoneId;
    private String uplinkTeamingPolicyName;
    private Long vlan;
    private String vlanTrunkSpec;
    private Long vni;
    private List<NsxSwitchPortModel> ports;
}
