package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 逻辑路由端口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月5日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxRouterPortModel {
    private String portId;
    private String name;
    private String remark;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private String logicalRouterId;
    private String serviceBindings;
    // LogicalRouterUpLinkPort LogicalRouterDownLinkPort LogicalRouterLoopbackPort
    private String edgeClusterMemberIndex;
    private String linkedLogicalSwitchPortId;
    private String macAddress;
    private Long mtu;
    private String ndraPrefixConfig;
    private String ndraProfileId;
    private String subnets;
    private String urpfMode;
    // LogicalRouterLinkPortOnTIER0 LogicalRouterLinkPortOnTIER1
    private String linkedLogicalRouterPortId;
    // LogicalRouterIPTunnelPort
    private String adminState;
    private String vpnSessionId;
    // LogicalRouterCentralizedServicePort
    private Boolean enableNetx;
    private String switchPort;
    private NsxSwitchPortModel port;
}
