package com.bocloud.nms.model.nsx;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 分段子网
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月20日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxSegmentSubnetModel {
    private String dhcpRanges;
    private String gatewayAddress;
    private String network;
    private String serverAddress;
    private List<String> dnsServers;
    private Long leaseTime;
}
