package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx逻辑交换机端口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月24日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxSwitchPortModel {
    private String portId;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String remark;
    private String name;
    private String resourceType;
    private String tags;
    private String addressBindings;
    private String adminState;
    private String attachment;
    private String extraConfigs;
    private String ignoreAddressBindings;
    private String initState;
    private String logicalSwitchId;
    private String switchingProfileIds;
}
