package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx传输区域
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月24日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxTransportZoneModel {
    private String remark;
    private String name;
    private String zoneId;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private String hostSwitchId;
    private String hostSwitchMode;
    private String hostSwitchName;
    private Boolean isDefault;
    private Boolean nestedNsx;
    private String transportType;
    private String transportZoneProfileIds;
    private String uplinkTeamingPolicyNames;
    // policy zone属性
    private String parentPath;
    private String path;
    private String relativePath;
    private String children;
    private Boolean markedForDelete;
    private String nsxId;
    private String tzType;
}
