package com.bocloud.nms.model.nsx;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * nsx虚拟服务器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月26日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NsxVirtualServerModel {
    private String serverId;
    private String name;
    private String remark;
    private String links;
    private String resourceSchema;
    private String self;
    private Long revision;
    private Date createTime;
    private String createUser;
    private Date lastModifiedTime;
    private String lastModifiedUser;
    private String protection;
    private Boolean systemOwned;
    private String resourceType;
    private String tags;
    private Boolean accessLogEnabled;
    private String applicationProfileId;
    private String clientSslProfileBinding;
    private String clientTcpProfileId;
    private String defaultPoolMemberPort;
    private String defaultPoolMemberPorts;
    private Boolean enabled;
    private String ipAddress;
    private String ipProtocol;
    private Long maxConcurrentConnections;
    private Long maxNewConnectionRate;
    private String persistenceProfileId;
    private String poolId;
    private String port;
    private String ports;
    private String ruleIds;
    private String serverSslProfileBinding;
    private String serverTcpProfileId;
    private String sorryPoolId;
}
